using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ColorView
{
   public partial class MainForm : Form
   {
      public MainForm()
      {
         InitializeComponent();

         sortOrder.Items.Add(ColorSort.ByRgb);
         sortOrder.Items.Add(ColorSort.ByName);
         sortOrder.Items.Add(ColorSort.ByBrightness);
         sortOrder.SelectedIndex = 0;
      }

      private void OnColorSelected(object sender, ColorSelectedEventArgs e)
      {
         displayColor1.Color = e.Color;
         if ( e.IsBackground )
            textLabel.BackColor = e.Color;
         else
            textLabel.ForeColor = e.Color;
      }

      private void OnSortOrderChanged(object sender, EventArgs e)
      {
         ColorSort sort = (ColorSort)sortOrder.SelectedItem;
         colorSet1.SortColors(sort);

      }
   }
}